"""adding_role_view

Revision ID: 50ce0d9b4729
Revises: f67d6f8002cc
Create Date: 2021-02-23 13:16:00.978060

"""
from alembic import op
import sqlalchemy as sa
from sqlalchemy.dialects import postgresql
from app.alembic_helper import ReplaceableObject

# revision identifiers, used by Alembic.
revision = '50ce0d9b4729'
down_revision = 'f67d6f8002cc'
branch_labels = None
depends_on = None


account_role_view = ReplaceableObject(
    "account_role_view",
    """
select acr.is_approved	     as is_approved 
     ,r.name                 as role_name
     ,r.id                   as role_id
     ,acc.id				 as account_id
     ,acc.email              as account_email
  from users.account_role as acr
 join users.roles as r
  on (acr.role_id = r.id)
 join users.account as acc
  on (acc.id = acr.account_id) ;
    """,
    schema='users, public'
)


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_view(account_role_view)
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.drop_view(account_role_view)
    # ### end Alembic commands ###
